### Property

# FwupdPlugin Device:backend-id

since: 1.5.8

#### Declaration

    property backend-id: utf8 [ read, write ]

#### Description [src]

The device backend ID.

Type:`gchar*`

Available since: 1.5.8

Default value | NULL
Getter method | `fu_device_get_backend_id()`
Setter method | `fu_device_set_backend_id()`

#### Flags

Readable | yes
Writable | yes
Construct | no
Construct only | no